package com.jz.dm.common.exception;


import com.jz.dm.common.util.ResultCode;

/**
 * 加密异常
 *
 */
public class SecretException extends OpenApiException {

    private static final long serialVersionUID = -8597436175649786898L;

    /**
     * 构造函数
     * @param resultCode
     */
    public SecretException(ResultCode resultCode) {
        super(resultCode);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param detailMessage
     */
    public SecretException(ResultCode resultCode, String detailMessage) {
        super(resultCode, detailMessage);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param cause
     */
    public SecretException(ResultCode resultCode, Throwable cause) {
        super(resultCode, cause);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param detailMessage
     * @param cause
     */
    public SecretException(ResultCode resultCode, String detailMessage, Throwable cause) {
        super(resultCode, detailMessage, cause);
    }
}
