package com.jz.dm.common.exception;


import com.jz.dm.common.util.ResultCode;

/**
 * 信息摘要异常
 *
 */
public class MessageDigestException extends OpenApiException {

    private static final long serialVersionUID = 477249046784548217L;

    /**
     * 构造函数
     * @param resultCode
     */
    public MessageDigestException(ResultCode resultCode) {
        super(resultCode);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param detailMessage
     */
    public MessageDigestException(ResultCode resultCode, String detailMessage) {
        super(resultCode, detailMessage);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param cause
     */
    public MessageDigestException(ResultCode resultCode, Throwable cause) {
        super(resultCode, cause);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param detailMessage
     * @param cause
     */
    public MessageDigestException(ResultCode resultCode, String detailMessage, Throwable cause) {
        super(resultCode, detailMessage, cause);
    }
}
