package com.jz.dm.gateway;


import com.jz.dm.common.util.OpenApiRequest;
import com.jz.dm.common.util.OpenApiResponse;

/**
 * openapi服务
 *
 */
public interface OpenApiService {

    /**
     * 获取openapi接口名
     * 
     * @return
     */
    public String getOpenApiMethod();
    
    /**
     * 获取openapi接口版本
     * 
     * @return
     */
    public String getOpenApiVersion();

    /**
     * openapi服务调用
     * 
     * @param request
     * @param response
     */
    public void doService(OpenApiRequest request, OpenApiResponse response);


}
