package com.jz.dm.mall.moduls.service.impl;


import com.jz.common.enums.PriceTypeEnum;
import com.jz.dm.mall.moduls.controller.goods.bean.dto.DataGoodsApiDto;
import com.jz.dm.mall.moduls.entity.DataGoodsApi;
import com.jz.dm.mall.moduls.mapper.DataGoodsApiDao;
import com.jz.dm.mall.moduls.service.DataGoodsApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * api商品(TDataGoodsApi)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@Service("dataGoodsApiService")
public class DataGoodsApiServiceImpl implements DataGoodsApiService {
    @Autowired
    private DataGoodsApiDao tDataGoodsApiDao;


    /**
     * 根据主键查询商品api详情
     *
     * @param id
     * @return
     */
    @Override
    public DataGoodsApiDto selectById(Long id) {
        DataGoodsApiDto dataGoodsApiDto = tDataGoodsApiDao.selectById(id);
        return dataGoodsApiDto;
    }
}