package com.jz.manage.moduls.controller.customer.bean.dto;

import io.swagger.annotations.ApiModel;

/**
 * @ClassName: CustomerDto
 * @Description: 商城用户返回对象参数
 * @Author Bellamy
 * @Date 2020/12/9
 * @Version 1.0
 */
@ApiModel(value = "商城用户--返回参数对象", description = "返回参数对象")
public class CustomerDto {

    /**
     * 用户id
     */
    private Long customerId;
    /**
     * 企业id
     */
    private Long departmentId;
    /**
     * 密码
     */
    private String password;
    /**
     * 账户
     */
    private String customerAccount;
    /**
     * 用户真实姓名
     */
    private String customerName;
    /**
     * 联系电话
     */
    private String customerPhone;

    /**
     * 资产账户id
     */
    private String assetsId;

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCustomerAccount() {
        return customerAccount;
    }

    public void setCustomerAccount(String customerAccount) {
        this.customerAccount = customerAccount;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getAssetsId() {
        return assetsId;
    }

    public void setAssetsId(String assetsId) {
        this.assetsId = assetsId;
    }
}
