package com.jz.manage.moduls.controller.finance.platForm;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 平台利润中心--财务管理交易明细参数对象
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@ApiModel(value = "财务管理--交易明细参数对象", description = "交易明细参数对象")
public class TradeDetilRequest extends BasePageBean {

    /**
     * 企业名
     */
    @ApiModelProperty(value = "企业名")
    private String departmentName;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;

    /**
     * 数据行业
     */
    @ApiModelProperty(value = "数据行业")
    private String categoryId;

    /**
     * 订单方式
     */
    @ApiModelProperty(value = "订单方式")
    private String orderMethod;

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getOrderMethod() {
        return orderMethod;
    }

    public void setOrderMethod(String orderMethod) {
        this.orderMethod = orderMethod;
    }
}